Package org.eclipse.m2m.atl.emftvm

# Interface Push

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PushImpl`

public interface Push extends Instruction
A representation of the model object 'Push'.

See Also:
  - `EmftvmPackage.getPush()`

## Method Summary

Modifier and Type
Method
Description
`Byte`
`getByteValue()`
Returns the value of the 'Byte Value' attribute.
`Character`
`getCharValue()`
Returns the value of the 'Char Value' attribute.
`Double`
`getDoubleValue()`
Returns the value of the 'Double Value' attribute.
`String`
`getEnumValue()`
Returns the value of the 'Enum Value' attribute.
`Float`
`getFloatValue()`
Returns the value of the 'Float Value' attribute.
`Integer`
`getIntValue()`
Returns the value of the 'Int Value' attribute.
`Long`
`getLongValue()`
Returns the value of the 'Long Value' attribute.
`Short`
`getShortValue()`
Returns the value of the 'Short Value' attribute.
`String`
`getStringValue()`
Returns the value of the 'String Value' attribute.
`Object`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setByteValue(Byte value)`
Sets the value of the '`Byte Value`' attribute.
`void`
`setCharValue(Character value)`
Sets the value of the '`Char Value`' attribute.
`void`
`setDoubleValue(Double value)`
Sets the value of the '`Double Value`' attribute.
`void`
`setEnumValue(String value)`
Sets the value of the '`Enum Value`' attribute.
`void`
`setFloatValue(Float value)`
Sets the value of the '`Float Value`' attribute.
`void`
`setIntValue(Integer value)`
Sets the value of the '`Int Value`' attribute.
`void`
`setLongValue(Long value)`
Sets the value of the '`Long Value`' attribute.
`void`
`setShortValue(Short value)`
Sets the value of the '`Short Value`' attribute.
`void`
`setStringValue(String value)`
Sets the value of the '`String Value`' attribute.
`void`
`setValue(Object value)`
Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getValue

Object getValue()
Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(Object)`
  - `EmftvmPackage.getPush_Value()`

### setValue

void setValue(Object value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`

### getStringValue

String getStringValue()
Returns the value of the 'String Value' attribute. The default value is `""`.

If the meaning of the 'String Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'String Value' attribute.
See Also:
  - `setStringValue(String)`
  - `EmftvmPackage.getPush_StringValue()`

### setStringValue

void setStringValue(String value)
Sets the value of the '`String Value`' attribute.

Parameters:
  `value` - the new value of the 'String Value' attribute.
See Also:
  - `getStringValue()`

### getIntValue

Integer getIntValue()
Returns the value of the 'Int Value' attribute. The default value is `""`.

If the meaning of the 'Int Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Int Value' attribute.
See Also:
  - `setIntValue(Integer)`
  - `EmftvmPackage.getPush_IntValue()`

### setIntValue

void setIntValue(Integer value)
Sets the value of the '`Int Value`' attribute.

Parameters:
  `value` - the new value of the 'Int Value' attribute.
See Also:
  - `getIntValue()`

### getDoubleValue

Double getDoubleValue()
Returns the value of the 'Double Value' attribute.

If the meaning of the 'Double Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Double Value' attribute.
See Also:
  - `setDoubleValue(Double)`
  - `EmftvmPackage.getPush_DoubleValue()`

### setDoubleValue

void setDoubleValue(Double value)
Sets the value of the '`Double Value`' attribute.

Parameters:
  `value` - the new value of the 'Double Value' attribute.
See Also:
  - `getDoubleValue()`

### getByteValue

Byte getByteValue()
Returns the value of the 'Byte Value' attribute.

If the meaning of the 'Byte Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Byte Value' attribute.
See Also:
  - `setByteValue(Byte)`
  - `EmftvmPackage.getPush_ByteValue()`

### setByteValue

void setByteValue(Byte value)
Sets the value of the '`Byte Value`' attribute.

Parameters:
  `value` - the new value of the 'Byte Value' attribute.
See Also:
  - `getByteValue()`

### getCharValue

Character getCharValue()
Returns the value of the 'Char Value' attribute.

If the meaning of the 'Char Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Char Value' attribute.
See Also:
  - `setCharValue(Character)`
  - `EmftvmPackage.getPush_CharValue()`

### setCharValue

void setCharValue(Character value)
Sets the value of the '`Char Value`' attribute.

Parameters:
  `value` - the new value of the 'Char Value' attribute.
See Also:
  - `getCharValue()`

### getFloatValue

Float getFloatValue()
Returns the value of the 'Float Value' attribute.

If the meaning of the 'Float Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Float Value' attribute.
See Also:
  - `setFloatValue(Float)`
  - `EmftvmPackage.getPush_FloatValue()`

### setFloatValue

void setFloatValue(Float value)
Sets the value of the '`Float Value`' attribute.

Parameters:
  `value` - the new value of the 'Float Value' attribute.
See Also:
  - `getFloatValue()`

### getShortValue

Short getShortValue()
Returns the value of the 'Short Value' attribute.

If the meaning of the 'Short Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Short Value' attribute.
See Also:
  - `setShortValue(Short)`
  - `EmftvmPackage.getPush_ShortValue()`

### setShortValue

void setShortValue(Short value)
Sets the value of the '`Short Value`' attribute.

Parameters:
  `value` - the new value of the 'Short Value' attribute.
See Also:
  - `getShortValue()`

### getLongValue

Long getLongValue()
Returns the value of the 'Long Value' attribute.

If the meaning of the 'Long Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Long Value' attribute.
See Also:
  - `setLongValue(Long)`
  - `EmftvmPackage.getPush_LongValue()`

### setLongValue

void setLongValue(Long value)
Sets the value of the '`Long Value`' attribute.

Parameters:
  `value` - the new value of the 'Long Value' attribute.
See Also:
  - `getLongValue()`

### getEnumValue

String getEnumValue()
Returns the value of the 'Enum Value' attribute.

If the meaning of the 'Enum Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Enum Value' attribute.
See Also:
  - `setEnumValue(String)`
  - `EmftvmPackage.getPush_EnumValue()`

### setEnumValue

void setEnumValue(String value)
Sets the value of the '`Enum Value`' attribute.

Parameters:
  `value` - the new value of the 'Enum Value' attribute.
See Also:
  - `getEnumValue()`